package com.example.infoapp.domain

import com.example.infoapp.R
import com.example.infoapp.data.ClubData

class AppRepository private constructor(){
    companion object {
        private var instance: AppRepository? = null

        fun init() {
            if (instance == null) {
                instance = AppRepository()
            }
        }

        fun getInstance() = instance!!
    }
    private val ls = ArrayList<ClubData>()

    init {
        ls.add(
            ClubData(
                R.drawable.ic_real_madrid, R.string.real_madrid,
                """
                Реаль Мадрид — это футбольный клуб из Мадрида, Испания, один из самых успешных и узнаваемых клубов в мировом футболе. Вот информация о Реале Мадрид в 200 словах:
                
                Реаль Мадрид основан в 1902 году и стал доминирующей силой в мировом футболе. Клуб выиграл 34 титула в Примере (испанской Ла Лиге) и 19 Кубков Краля, установив рекорды в обоих турнирах. Реал также 13 раз побеждал в Лиге чемпионов УЕФА, что является рекордом в этом престижном европейском турнире.
                
                Известные игроки, такие как Альфредо Ди Стефано, Ференц Пушкаш, Криштиану Роналду и многие другие, внесли свой вклад в богатую историю клуба. Реал Мадрид выступает на стадионе Сантьяго Бернабеу, который вмещает более 80 000 зрителей.
                
                Клуб также славится своей академией молодых талантов, известной как "Ла Фабрика". Белые, как их называют фанаты, поддерживают миллионы поклонников по всему миру и являются символом испанского и мирового футбола. Реаль Мадрид — это не только футбольный клуб, но и культурный и спортивный феномен, который продолжает вдохновлять поклонников со всего мира.
                """.trimIndent()
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_milan, R.string.milan,
                """
                Ассоциация Calcio Milan, более известная как AC Milan, является итальянским футбольным клубом, базирующимся в Милане. Клуб был основан в 1899 году и считается одним из наиболее успешных и престижных клубов в мировом футболе.
                
                AC Milan прославился своим влиянием на европейский футбол, выиграв множество национальных и международных трофеев. Клуб 18 раз становился чемпионом Италии, а также выигрывал Кубок Италии и Суперкубок Италии.
                
                На мировой арене AC Milan завоевывал Лигу чемпионов UEFA (ранее известную как Кубок европейских чемпионов) семь раз, что является одним из наилучших показателей в истории турнира. Они также выигрывали Кубок обладателей кубка (сейчас Лига конференций УЕФА) и Суперкубок УЕФА.
                
                Известные футболисты, такие как Paolo Maldini, Franco Baresi, Alessandro Nesta, Marco van Basten, и Ruud Gullit, в течение десятилетий представляли AC Milan и внесли свой вклад в богатую футбольную историю клуба.
                
                AC Milan играет на стадионе Сан-Сиро, который также используется другим миланским клубом, Inter Milan. Красно-черные цвета AC Milan и знаменитая эмблема делают клуб узнаваемым по всему миру.
                """.trimIndent()
            )
        )


        ls.add(
            ClubData(
                R.drawable.ic_inter, R.string.inter,
                """"Интер" (Inter Milan) — итальянский футбольный клуб, основанный в 1908 году. Команда базируется в Милане и является одним из самых успешных клубов в истории итальянского футбола. Официальное название клуба - "Football Club Internazionale Milano". "Интер" выступает в Серии А, национальной высшей лиге Италии.

Цвета клуба - синий и черный, что также отражено в прозвище "Нерадзурри". Стадион "Сан-Сиро" служит домашней ареной "Интера" вместе с другим миланским клубом "Милан". Оба клуба делят стадион, но являются соперниками на поле.

"Интер" может похвастаться множеством национальных и международных трофеев, включая многократные победы в Серии А и Кубке Италии. Клуб также выигрывал Лигу чемпионов УЕФА, а в 2010 году даже добился третьего в своей истории третьего места на Чемпионате мира клубов ФИФА.

"Интер" славится своей стабильностью и сильным составом, привлекая внимание футбольных болельщиков со всего мира."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_bayern_munchen, R.string.bayern,
                """Стадион: "Бавария" играет свои домашние матчи на стадионе "Альянц Арена" (Allianz Arena), расположенном в Мюнхене. Этот стадион известен своей характерной подсветкой, способной менять цвета в соответствии с цветами клуба — красным и белым.

Цвета и Форма: Основные цвета клуба — красный и белый. Футбольные формы "Баварии" традиционно красные.

Трофеи: "Бавария" является рекордсменом по количеству выигранных титулов в Бундеслиге (немецкая футбольная лига). Клуб также выигрывал Лигу чемпионов УЕФА и многие другие международные и национальные трофеи.

Менеджер и Состав: Информация о текущем менеджере и составе может изменяться в зависимости от времени. Команда "Баварии" часто представляется опытными и талантливыми игроками, как из Германии, так и из других стран.

Болельщики: "Бавария" имеет огромное количество болельщиков и широкую базу фанатов как внутри страны, так и по всему миру.

Молодежные команды и Инфраструктура: Клуб также активно инвестирует в развитие молодежных талантов через свои молодежные команды и инфраструктуру."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_juventus, R.string.juventus,
                """Ювентус (Juventus Football Club) — итальянский футбольный клуб, базирующийся в Турине. Основан в 1897 году, Ювентус является одним из самых успешных и известных клубов в истории мирового футбола. Команду также часто называют "Старая Синьора" (La Vecchia Signora) или "Бьянконери" (Black and Whites) из-за характерных черно-белых цветов формы.

Ювентус неоднократно становился чемпионом Италии, выигрывал Кубок Италии и участвовал в Лиге чемпионов УЕФА, где добивался заметных успехов. История клуба увековечена такими великими футболистами, как Алессандро Дель Пьеро, Джанлуиджи Буффон, Паоло Росси и другими.

Ювентус принимает домашние матчи на стадионе "Альянц Стэдиум", одном из самых современных футбольных объектов в мире.

Клуб также славится своей академией, которая выпускает талантливых молодых игроков. Уважение к традициям, богатый спортивный наследник и внушительный трофейный а"""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_villa, R.string.villareal, """
Вильярреал (Villarreal Club de Fútbol) — испанский футбольный клуб, основанный в 1923 году и базирующийся в одноименном городе Вильярреал, расположенном в провинции Кастилья-Ла-Манча. Клуб является одним из представителей в испанской Примере, высшем дивизионе испанского футбола.

Цвета клуба — желтый и голубой, а фанаты называют себя "грозными подземельцами" (Los Groguets). Стадион Вильярреала — Эстадио де ла Серамика, вмещающий более 23 тысяч зрителей.

Клуб достиг значительных успехов, включая выход в финал Лиги Европы УЕФА в сезоне 2020/2021, где они сразились с Манчестер Юнайтед. Вильярреал также неоднократно участвовал в европейских клубных турнирах.

Важной частью истории клуба является его взаимоотношение с городом и его сообществом, что отражено в сильной поддержке со стороны болельщиков. Вильярреал продолжает участвовать в испанском футболе, представляя регион и радуя своих поклонников динамичной и качественной игрой."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_arsenal, R.string.arsenal,
                """Арсенал (Arsenal Football Club) — английский футбольный клуб, базирующийся в северном Лондоне. Клуб был основан в 1886 году мастерами оборонного предприятия "Уолл-Воркшоп" (Woolwich Arsenal) и с тех пор стал одним из самых успешных и известных клубов в истории английского и мирового футбола.

Цвета клуба — красный и белый. "Канониры" (The Gunners) выступают на стадионе "Эмирейтс", вмещающем более 60 тысяч зрителей. Арсенал может похвастаться множеством достижений, включая многочисленные титулы чемпионов Англии, Кубки страны и участие в Лиге чемпионов УЕФА.

Клуб также славится своей молодежной академией, которая вывела на свет множество талантливых футболистов. В их числе такие знаменитости, как Тьерри Анри, Деннис Бергкамп и другие.

Арсенал имеет огромное количество болельщиков по всему миру и поддерживается страстным фанатским сообществом. В своей истории клуб завоевал множество сердец своих поклонников, предлагая увлекательный и красочный футбол."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_myu, R.string.united,
                """Манчестер Юнайтед (Manchester United Football Club) — английский футбольный клуб, базирующийся в Манчестере. Клуб был основан в 1878 году и стал одним из самых успешных и популярных футбольных клубов в мире. Манчестер Юнайтед играет на стадионе Олд Траффорд, который вмещает более 74 тысячи зрителей.

Цвета клуба — красный и белый. Команда называется "Красные дьяволы" (The Red Devils). Манчестер Юнайтед выигрывал множество национальных и международных титулов, включая 20 титулов чемпиона Англии и 3 Лиги чемпионов УЕФА.

Клуб славится своей богатой историей, легендарными футболистами, такими как Сир Мэттью Басби, Деннис Лоу, Бобби Чарльтон, Райан Гиггз, Пол Сколс, а также менеджерами, включая Сэра Мэтт Басби и Алекса Фергюсона.

Манчестер Юнайтед имеет огромное глобальное сообщество поклонников и является одним из самых коммерчески успешных клубов в мире футбола. Культура клуба и его богатая история делают его одним из наиболее узнаваемых и любимых клубов в футбольном мире."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.manchester_city, R.string.city,
                """Манчестер Сити (Manchester City Football Club) — английский футбольный клуб из Манчестера, основанный в 1880 году. Клуб выступает в Премьер-лиге, а его домашний стадион — "Этьяхд Стэдиум", вмещающий более 53 тысяч зрителей.

Цвета клуба — голубой и белый, а прозвище команды — "Граждане" (The Citizens). Манчестер Сити является одним из наиболее успешных клубов в английском и мировом футболе. Клуб достиг выдающихся успехов под руководством менеджера Пепа Гвардиолы, выиграв Премьер-лигу и Кубок английской лиги, а также достигнув финала Лиги чемпионов.

Манчестер Сити славится своей атакующей и техничной игрой, а также качественной футбольной академией, выпускающей талантливых молодых игроков. Болельщики клуба страстно поддерживают свою команду, создавая атмосферу на стадионе, которая способствует успехам клуба.

Спонсорство и инвестиции также сделали Манчестер Сити одним из финансово мощных клубов в мировом футболе."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.west_ham, R.string.westham,
                """Вест Хэм Юнайтед (West Ham United) — английский футбольный клуб, основанный в 1895 году в Лондоне. Команда базируется на стадионе Лондон Стейдиум, расположенном в стратфордском районе Лондона. "Молотобойцы" (The Hammers), как их называют болельщики, имеют клубные цвета - кларетовый и голубой.

Вест Хэм участвует в английской Премьер-лиге, являясь одним из традиционных участников английского футбола. Клуб выиграл несколько трофеев в своей истории, включая Кубок Кубок Англии и Кубок Кубок УЕФА.

Исторический успех клуба связан с такими футбольными легендами, как Бобби Мур, который был ключевой фигурой в победе сборной Англии на Чемпионате мира 1966 года.

Вест Хэм славится своей страстью к футболу и преданностью болельщиков. Команда привлекает внимание своей атакующей игрой и выдающимися моментами на поле. Великая история клуба и его влияние на футбольное сообщество делают Вест Хэм важным участником английского футбольного наследия."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.aston_villa, R.string.aston,
                """Астон Вилла (Aston Villa) — английский футбольный клуб, основанный в 1874 году и базирующийся в Бирмингеме. Клуб является одним из старейших и наиболее уважаемых в английском футболе, и его история богата как национальными, так и международными достижениями.

Астон Вилла выступает в Английской Футбольной Лиге (EFL), высшей лиге Футбольной лиги Англии. Их домашний стадион — Вилла Парк — один из самых исторически значимых футбольных объектов в Англии.

Цвета клуба — кларетовый и голубой. Болельщики Астон Виллы страстны и их группа поддержки известна как "Холлан-Энд" (Holte End). Клуб выигрывал английскую Премьер-лигу, Кубок Англии, а также трижды побеждал в Кубке лиги.

Астон Вилла имеет богатое наследие и славится своим участием в эпохе английского футбола. Он продолжает привлекать внимание своим участием в соревнованиях, а его история и вклад в футбольное движение делают его незаменимым элементом британского спортивного наследия."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_psg, R.string.psg,
                """аПари Сен-Жермен (Paris Saint-Germain Football Club) — французский футбольный клуб, основанный в 1970 году в Париже. PSG выступает в Лиге 1, высшем дивизионе французского футбола, и является одним из самых успешных и известных клубов в стране.

Официальные цвета клуба — синий, красный и белый, а прозвище "Парижане" отражает их городскую привязанность. Домашние матчи PSG проводит на стадионе Парк де Пренс, который вмещает более 47 тысяч зрителей.

PSG добился многих успехов в отечественном футболе, становясь многократным чемпионом Франции. Клуб также активно участвует в европейских турнирах, в том числе Лиге чемпионов УЕФА.

Одним из значительных моментов в истории PSG было приобретение клубом известных футболистов, таких как Неймар и Килиан Мбаппе, что сделало команду одним из самых мощных клубов в мировом футболе.

Болельщики PSG, известные как "Парижские сверхлюди" (Les Ultras Parisiens), сильно поддерживают свой клуб, создавая атмосферу страсти на стадионе. PSG продолжает оставаться одним из ведущих клубов не только во Франции, но и в мировом футболе."""
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_liver, R.string.liverpool,
                """
                Ливерпуль Футбольный Клуб (Liverpool Football Club) — английский профессиональный футбольный клуб, основанный в 1892 году в городе Ливерпуль. Красные, как их прозвище, являются одним из самых успешных и уважаемых клубов в мировом футболе.
                
                Стадион Ливерпуля — Энфилд, который стал легендарным местом благодаря страстной поддержке болельщиков. Именно здесь клуб создает свою историю, выигрывая важные титулы.
                
                Ливерпуль гордится своим богатым наследием. Клуб многократно становился чемпионом Англии и Европы. Золотая эра клуба пришлась на 1970-80 годы под руководством Боба Пэйсли, а в последнее десятилетие под тренерством Юргена Клоппа Ливерпуль вернулся к вершине, выиграв Лигу чемпионов УЕФА в сезоне 2018/2019.
                
                Болельщики Ливерпуля, известные как "Коп", славятся своей преданностью и создают атмосферу, которая вдохновляет команду. Ливерпуль продолжает быть силой в мировом футболе, представляя не только город Ливерпуль, но и многие поколения фанатов по всему миру.
                """.trimIndent()
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_osasuna,
                R.string.osasuna,
                "Клуб \"Осасуна\" - это футбольный клуб, базирующийся в городе Памплона, который находится в регионе Наварра в Испании. Он был основан в 1920 году и с тех пор стал одним из известных участников испанского футбольного мира.\n" +
                        "\n" +
                        "\"Осасуна\" выступает в Примере, наивысшем испанском футбольном дивизионе, где соревнуется с другими известными клубами, такими как \"Реал Мадрид\", \"Барселона\" и \"Атлетико Мадрид\". Хотя клуб не всегда удавалось занимать высокие позиции в таблице, он всегда оставался важным игроком в испанском футболе.\n" +
                        "\n" +
                        "\"Осасуна\" играет на стадионе \"Эль Садар\", который вмещает более 22 000 зрителей и находится в самом сердце города Памплона. Стадион является местом, где фанаты могут собираться, чтобы поддерживать свою команду и наслаждаться игрой.\n" +
                        "\n" +
                        "Клуб \"Осасуна\" имеет широкую базу болельщиков, как на местном, так и на международном уровне, и продолжает привлекать внимание футбольных энтузиастов своим участием в Примере и других соревнованиях. Его история, стадион и игровая философия делают его важным элементом испанского футбола."
            )
        )

        ls.add(
            ClubData(
                R.drawable.ic_chelsea,
                R.string.chelsea,
                "\n" +
                        "\"Клуб \"Челси\" - это профессиональный футбольный клуб, базирующийся в Лондоне, столице Англии. Он был основан в 1905 году и быстро стал одним из ведущих клубов английского футбола.\n" +
                        "\n" +
                        "\"Челси\" регулярно выступает в Премьер-лиге, высшем дивизионе английского футбола, где соревнуется с другими знаменитыми клубами, такими как \"Манчестер Юнайтед\", \"Ливерпуль\" и \"Арсенал\". Клуб известен своей способностью бороться за высшие места в турнирной таблице и регулярно участвовать в европейских соревнованиях.\n" +
                        "\n" +
                        "Домашние матчи \"Челси\" проходят на стадионе \"Стэмфорд Бридж\", который вмещает около 41 000 зрителей и расположен в западной части Лондона. Этот стадион является культовым местом для фанатов, которые приходят поддержать свою команду из разных уголков мира.\n" +
                        "\n" +
                        "Клуб обладает богатой историей успехов, включая победы в Премьер-лиге, Кубке Англии и Лиге Чемпионов УЕФА. \"Челси\" также известен своими амбициозными трансферными кампаниями, привлекая звездных игроков со всего мира.\n" +
                        "\n" +
                        "\"Челси\" имеет огромную фан-базу как в Англии, так и за рубежом, благодаря своим достижениям на поле и активному участию в международных турнирах. История клуба, его стадион, игроки и философия игры делают его одним из самых узнаваемых и уважаемых футбольных клубов в мире.\""
            )
        )
    }

    fun getList() : List<ClubData> = ls
}